<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>system-core</artifactId>
        <groupId>ru.entaxy.esb.system.core</groupId>
        <version>1.10.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>template</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: TEMPLATE</name>
    <description>SYSTEM :: ENTAXY :: TEMPLATE</description>

    <properties>
        <bundle.osgi.import.pkg>
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javax.persistence;version="[2,3)",
            org.hibernate,
            org.hibernate.cfg,
            org.hibernate.service,
            org.hibernate.jpa,
            org.hibernate.proxy,
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.core.template.*
        </bundle.osgi.export.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
            <artifactId>generator-api</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

</project>
